﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamNumericEditor_Scientific
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, INotifyPropertyChanged
    {
        private float? myfloat;
        public float? MyFloat
        {
            get
            {
                return myfloat;
            }

            set
            {
                this.myfloat = value;
                NotifyPropertyChanged("MyFloat");
            }
        }
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;

        }

        private void myButton_Click(object sender, RoutedEventArgs e)
        {
            MyFloat = 0.00001234f;
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(String propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
